[empathy] the font and the font size cannot be changed

Bug #504771 reported by Miroslav E. Hadzhiev (Хаджиев) on 2010-01-08
150
This bug affects 33 people
Affects Status Importance Assigned to Milestone
Empathy
New
Wishlist
One Hundred Papercuts
Wishlist
Unassigned
empathy (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: empathy

There should be an option for the font family and the font size to be changed.
The font in the chat window is too small to be read normally.

ProblemType: Bug
Architecture: amd64
Date: Fri Jan 8 16:20:24 2010
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/empathy
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
Package: empathy 2.28.1.1-0ubuntu1
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
SourcePackage: empathy
Uname: Linux 2.6.31-17-generic x86_64

Kamus (kamus) wrote :

absolutely necessary, I am totally agree with this function.

Kamus (kamus) wrote :

Thank you for your bug report. This bug has been reported to the developers of the software. You can track it and make comments at: https://bugzilla.gnome.org/show_bug.cgi?id=606417

Changed in empathy (Ubuntu):
status: New → Confirmed
Omer Akram (om26er) wrote :

its a wishlist so change it status to wishlist and importance to low please

Changed in empathy (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Wishlist
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
Omer Akram (om26er) wrote :

upstream bug was marked duplicate of https://bugzilla.gnome.org/show_bug.cgi?id=586980

Mike Chelen (mchelen) wrote :

Related bug https://bugs.launchpad.net/ubuntu/+source/empathy/+bug/459959 because some themes don't use system configured font sizes, which are a broader way to make adjustments.

nomnex (nomnex) wrote :

I am on Karmic Koala 9.10, x86cpu. The default size is too small on Empathy 2.28.1.1. Is this correctly labeled as a wish list? Font configuration is a standard on all the GUI app.

The font size is actually 5 or 6 points.... which is extremely little.
And changing the X Server's DPI from 96 to 108, for example, does NOT affect Empathy at all.

Changed in empathy:
status: Unknown → New
Jamie Strandboge (jdstrand) wrote :

For people using the adium theme who need a workaround can adjust /usr/share/adium/message-styles/ubuntu.AdiumMessageStyle/Contents/Resources/main.css like so:
@@ -114,7 +114,7 @@

 .tableBubble .message {
-
+ font-size:14px;
 }

 .tableBubble .message img {
@@ -139,7 +139,7 @@
        margin-left:7px;
        text-align:right;
        float:right;
- font-size:8px;
+ font-size:11px;
 }

@@ -149,7 +149,7 @@
        margin-left:0;
        position:relative;
        top:-2px;
- font-size:10px;
+ font-size:12px;
 }

 .myBubble .indicator {

Obviously, adjust to your taste, and you will have to completely close empathy and start it again to see the changes. Also, expect these changes to be lost on upgrade of adium-theme-ubuntu.

Jamie Strandboge (jdstrand) wrote :

Incidentally, this is a rather annoying usability issue for people moving over to empathy. The fonts are quite small for many people (some of whom asked my to provide some sort of a workaround).

Omer Akram (om26er) wrote :

Jamie can you please create a .patch file and attach to bug 531835 so that we could get it fixed.

Jamie Strandboge (jdstrand) wrote :

Omer, this patch is not suitable for inclusion in Ubuntu. It simply hardcodes a different set of font sizes than other people would find annoying. The proper fix is to change empathy to allowing specifying a zoom level or the font size explicitly.

I provided the above so people have a workaround until this can be properly fixed.

Jamie, the fonts look relatively smaller with ubuntu theme than the normal
themes. Ubuntu theme is certainly using very small font size by default so
the patch would set those fonts to a bigger size 12px would look standard.
:)

On Mon, Apr 26, 2010 at 11:10 PM, Jamie Strandboge <email address hidden> wrote:

> Omer, this patch is not suitable for inclusion in Ubuntu. It simply
> hardcodes a different set of font sizes than other people would find
> annoying. The proper fix is to change empathy to allowing specifying a
> zoom level or the font size explicitly.
>
> I provided the above so people have a workaround until this can be
> properly fixed.
>
> --
> [empathy] the font and the font size cannot be changed
> https://bugs.launchpad.net/bugs/504771
> You received this bug notification because you are subscribed to empathy
> in ubuntu.
>
> Status in Chat app, and Telepathy user interface: New
> Status in “empathy” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: empathy
>
> There should be an option for the font family and the font size to be
> changed.
> The font in the chat window is too small to be read normally.
>
> ProblemType: Bug
> Architecture: amd64
> Date: Fri Jan 8 16:20:24 2010
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/empathy
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> Package: empathy 2.28.1.1-0ubuntu1
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_US.UTF-8
> ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
> SourcePackage: empathy
> Uname: Linux 2.6.31-17-generic x86_64
>
>
>

Jamie Strandboge (jdstrand) wrote :

I am attaching this, but it has only received the lightest of testing. I don't plan to follow through with SRU for this, so if someone else is interested, please feel free to use this however you want.

Lorenzo De Liso (blackz) on 2010-04-27
tags: added: patch
Omer Akram (om26er) wrote :

Attached the patch to bug 531835 where it actually belong. Patch reviewers could un subscribe.

tags: removed: patch
Omer Akram (om26er) on 2010-04-27
Changed in adium-theme-ubuntu (Ubuntu):
status: New → Invalid
Vish (vish) wrote :

Unsubscribing review team , as the patch is meant for bug 531835

Vish (vish) wrote :

Carrying over papercut task from dup

Changed in hundredpapercuts:
importance: Undecided → Low
milestone: none → maverick-round-3-social-networking
status: New → Triaged
Paul van Genderen (paulvg) wrote :

The expected behaviour (from my POV) is that it can be changed through Appearance Preferences. Either "Application font" or "Document font", depending on what you consider a "document".

nomnex (nomnex) wrote :

Paul, that's the problem. Appearance Preferences settings affect the system. Most of, if not all, the modern GUI apps offer both options: use the system font, or select a font and font size.

Changed in empathy:
importance: Unknown → Wishlist

This bug effects me too. Now the fonts are too big and you still can't change them. I would think that this would be a pretty simple issue to resolve.

ChenXing (cxcxcxcx) wrote :

This is a critical problem for me to move to Empathy. Especially for Chinese characters, as a Chinese character conveys much more information than two letters, it is normally larger for people to read it. The default font size is really too small.

BTW, I think end-users should have the rights to change the font size.

Vish (vish) on 2010-11-23
Changed in hundredpapercuts:
milestone: maverick-round-3-social-networking → nt2-social-networking
S. D. (akjag) wrote :

Our company uses jabber for group communication; nearly all of us are programmers.

In pasting snippets of code back and forth in chat messages, it is roundly agreed that the lack of a font picker, for choosing a monospace font, is highly annoying and detrimental to our communication. We frequently end up resorting to sending it via e-mail, and then chatting about the e-mail itself in real time...

:-(

Vish (vish) on 2011-03-07
Changed in hundredpapercuts:
assignee: nobody → Papercuts Ninja (papercuts-ninja)
Changed in empathy (Ubuntu):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody
Robert Sajdok (ris) wrote :

I am trying to reproduce this bug but it proved that on natty it does not work at all. I changed the font size of the system and I can not see any changes. Can anyone confirm mine observation?
It works well in the gnome-terminal

Chris Wilson (notgary) on 2011-12-17
Changed in hundredpapercuts:
milestone: nt2-social-networking → precise-2-social-networking
Chris Wilson (notgary) on 2011-12-17
Changed in hundredpapercuts:
importance: Low → Wishlist
Chris Wilson (notgary) on 2013-05-27
Changed in hundredpapercuts:
milestone: precise-2-social-networking → papercuts-s-empthy
Changed in hundredpapercuts:
assignee: Papercuts Ninjas (papercuts-ninja) → nobody
Adolfo Jayme (fitojb) on 2014-05-25
no longer affects: adium-theme-ubuntu (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.